#contentscreen {
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  background: linear-gradient(60deg, var(--color-bckg-1), var(--color-bckg-2));
  background-image: url("../assets/images/cs-bckg.png");
  background-size: cover;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  overflow-y: auto;
}

.cryptosample {
  position: relative;
  width: 100%;
  min-height: 30vh;
  background: var(--divider-color);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border-radius: 20px;
  border-style: solid;
  border-width: 0 5px;
  transform: translateX(20%);
  overflow: hidden;
  transition: 0.4s all ease-in-out;
}
.cryptosample:nth-child(4n) {
  transform: translateX(-20%);
}
@media (min-width: 576px) {
  .cryptosample {
    width: 90vmin;
  }
}
@media (max-height: 550px) {
  .cryptosample,
  .cryptosample:nth-child(4n) {
    max-width: 700px;
    width: 90vmax;
    transform: none;
  }
}
.vertical .cryptosample {
  transform: none;
}
.cryptosample img {
  position: absolute;
  right: -10vh;
  top: -8vh;
  width: 50vh;
  height: 50vh;
  opacity: 0.2;
  pointer-events: none;
  filter: grayscale(100%);
}
.cryptosample:nth-child(4n) img {
  left: -10vh;
}
.cryptosample[id*="cardano"] {
  border-color: #0a38a6;
}
.cryptosample[id*="polkadot"] {
  border-color: #e6007a;
}
.cryptosample[id*="chainlink"] {
  border-color: #375bd2;
}
.cryptosample[id*="ethereum"] {
  border-color: #717374;
}
.cryptosample[id*="litecoin"] {
  border-color: #1c0db2;
}
.cryptosample[id*="xrp"] {
  border-color: #0f72e5;
}
.cryptosample * {
  color: #222;
}
.cryptosample .textwrap {
  width: 100%;
  height: 100%;
  padding: 25px 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  z-index: 10;
}
.cryptosample .textwrap > * {
  width: 100%;
  text-align: center;
}
.cryptosample .textwrap .title {
  font-size: 1.5rem;
  line-height: 1.8rem;
  text-transform: capitalize;
}
.cryptosample .textwrap .desc {
  margin: 15px 0;
}
.cryptosample .textwrap .button {
  width: 140px;
  height: 40px;
  border-radius: 5px;
  font-size: 18px;
  line-height: 40px;
  color: var(--basic-text-color);
  transition: 0.2s all ease-in-out;
}
@media (min-width: 576px) {
  .cryptosample .textwrap .title {
    font-size: 1.8rem;
  }
  .cryptosample .textwrap .desc {
    font-size: 1.25rem;
  }
}
.cryptosample[id*="cardano"] .button {
  background: #0a38a6;
}
.cryptosample[id*="cardano"] .button:hover {
  background: #022f99;
}
.cryptosample[id*="polkadot"] .button {
  background: #e6007a;
}
.cryptosample[id*="polkadot"] .button:hover {
  background: #c7026b;
}
.cryptosample[id*="chainlink"] .button {
  background: #375bd2;
}
.cryptosample[id*="chainlink"] .button:hover {
  background: #123cc7;
}
.cryptosample[id*="ethereum"] .button {
  background: #717374;
}
.cryptosample[id*="ethereum"] .button:hover {
  background: #575e61;
}
.cryptosample[id*="litecoin"] .button {
  background: #1c0db2;
}
.cryptosample[id*="litecoin"] .button:hover {
  background: #110596;
}
.cryptosample[id*="xrp"] .button {
  background: #0f72e5;
}
.cryptosample[id*="xrp"] .button:hover {
  background: #095dbd;
}

.dividerwrap {
  position: relative;
  width: 100%;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.dividerwrap div {
  width: 20px;
  height: 100%;
}
.dividerleft {
  border-radius: 0 0 20px 0;
  border-right: 4px solid var(--divider-color);
  transform: translate(2px, -1px);
  clip-path: inset(50% 0 0 0);
}
.dividerright {
  border-radius: 20px 0 0 0;
  border-left: 4px solid var(--divider-color);
  transform: translate(-2px);
  clip-path: inset(0 0 50% 0);
}

.dividerwrap:nth-child(4n + 1) .dividerleft {
  clip-path: inset(0 0 50% 0);
  transform: translate(2px);
  border-radius: 0 20px 0 0;
}
.dividerwrap:nth-child(4n + 1) .dividerright {
  clip-path: inset(50% 0 0 0);
  transform: translate(-2px, -1px);
  border-radius: 0 0 0 20px;
}
